org.eclipse.incquery.runtime.rete.index

## Class OnetimeIndexer

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.index.StandardIndexer
    - - org.eclipse.incquery.runtime.rete.index.IndexerWithMemory
      - - org.eclipse.incquery.runtime.rete.index.GenericProjectionIndexer
        - - org.eclipse.incquery.runtime.rete.index.OnetimeIndexer

- All Implemented Interfaces:
    java.lang.Iterable<Tuple>, Indexer, IterableIndexer, ProjectionIndexer, Node, Receiver

      public class OnetimeIndexer
      extends GenericProjectionIndexer

  Author:
    Gabor Bergmann Indexer whose lifetime last until the first get() DO NOT connect to nodes!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnetimeIndexer(ReteContainer reteContainer, TupleMask mask)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendParent(Supplier supplier)` appends a parent that will continously send insert and revoke updates to this supplier
    `void` | `attachListener(IndexerListener listener)`
    `java.util.Collection<Tuple>` | `get(Tuple signature)`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.GenericProjectionIndexer

      `getActiveNode, getSignatures, iterator`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.IndexerWithMemory

      `getMemory, getParents, removeParent, update`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.StandardIndexer

      `assignTraceInfo, detachListener, getContainer, getListeners, getMask, getParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.index.Indexer

      `detachListener, getListeners, getMask, getParent`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### OnetimeIndexer

          public OnetimeIndexer(ReteContainer reteContainer,
                                TupleMask mask)

  - ### Method Detail

    - #### get

          public java.util.Collection<Tuple> get(Tuple signature)

      Specified by:
        `get` in interface `Indexer`
      Overrides:
        `get` in class `GenericProjectionIndexer`
      Returns:
        all stored tuples that conform to the specified signature, null if there are none such. CONTRACT: do not modify!

    - #### appendParent

          public void appendParent(Supplier supplier)

      Description copied from interface: `Receiver`
      appends a parent that will continously send insert and revoke updates to this supplier
      Specified by:
        `appendParent` in interface `Receiver`
      Overrides:
        `appendParent` in class `IndexerWithMemory`

    - #### attachListener

          public void attachListener(IndexerListener listener)

      Specified by:
        `attachListener` in interface `Indexer`
      Overrides:
        `attachListener` in class `StandardIndexer`